# BPLog List

| **API URL**     | {{url}}/spice-service/bplog/list |
| --------------- | -------------------------------- |
| **Method**      | POST                             |
| **Description** | BP Log list                      |

#### **Input:** <a href="#bploglist-input" id="bploglist-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Sample Input:** <a href="#bploglist-sampleinput" id="bploglist-sampleinput"></a>

{     "latestRequired": false,     "patientTrackId": 25,     "skip": 0,     "sortField": "bpTakenOn" }

**Output:**

| **Field Name**            | **Type**  | **Comments**                       |
| ------------------------- | --------- | ---------------------------------- |
| `id`                      | Boolean   | BP log id                          |
| `avgSystolic`             | Integer   | Average systolic blood pressure    |
| `avgDiastolic`            | Integer   | Average diastolic blood pressure   |
| `bpTakenOn`               | Timestamp | Blood pressure taken on date       |
| `updatedFromEnrollment`   | Boolean   | Updated from enrollment            |
| `redRiskPatient`          | Boolean   | Red risk patient status            |
| `bpThreshold`:`diastolic` | Integer   | Blood pressure diastolic threshold |
| `bpThreshold`:`systolic`  | Integer   | Blood pressure systolic threshold  |

#### **Sample Output:** <a href="#bploglist-sampleoutput" id="bploglist-sampleoutput"></a>

```
{
  "message": "Bp Logs fetched successfully.",
  "entity": {
    "total": 2,
    "limit": 0,
    "skip": 0,
    "bpLogList": [
      {
        "id": 45,
        "createdBy": 5,
        "updatedBy": 5,
        "avgSystolic": 88,
        "avgDiastolic": 88,
        "bpTakenOn": "2023-05-26T16:36:53+05:30",
        "createdAt": "2023-05-26T16:36:53+05:30",
        "updatedFromEnrollment": false,
        "latest": false,
        "deleted": false,
        "oldRecord": false,
        "redRiskPatient": false
      },
      {
        "id": 44,
        "createdBy": 5,
        "updatedBy": 5,
        "avgSystolic": 88,
        "avgDiastolic": 88,
        "bpTakenOn": "2023-05-26T16:33:22+05:30",
        "createdAt": "2023-05-26T16:33:22+05:30",
        "updatedFromEnrollment": false,
        "latest": false,
        "deleted": false,
        "oldRecord": false,
        "redRiskPatient": false
      }
    ],
    "bpThreshold": {
      "diastolic": 90,
      "systolic": 140
    }
  },
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/engineering/api-documentation/spice-services/bplog-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
